LibreOffice: DatabaseNumericField Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Included Services | List of all members
DatabaseNumericField Service Referencepublished

This service specifies a numeric field which is data-aware, and can be bound to a database field. More...

`import"DatabaseNumericField.idl";`

Inheritance diagram for DatabaseNumericField:

## Included Services
service | com::sun::star::form::component::NumericField
service | com::sun::star::form::DataAwareControlModel
Included Services inherited from NumericField
service | com::sun::star::awt::UnoControlNumericFieldModel
service | com::sun::star::form::FormControlModel
Included Services inherited from UnoControlNumericFieldModel
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel. More...
Included Services inherited from FormControlModel
service | com::sun::star::awt::UnoControlModel
service | com::sun::star::form::FormComponent
Included Services inherited from DataAwareControlModel
service | com::sun::star::form::FormControlModel

## Additional Inherited Members
Exported Interfaces inherited from NumericField
interface | com::sun::star::form::XReset
| can be used to reset the control to its default value. More...
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Exported Interfaces inherited from FormControlModel
interface | com::sun::star::beans::XFastPropertySet
| This optional interface gives an efficient access to all properties at once or an ability to set more than one property at once. More...
interface | com::sun::star::beans::XPropertyState
| This optional interface gives access to the state of the properties, e.g. More...
Exported Interfaces inherited from FormComponent
interface | com::sun::star::form::XFormComponent
| identifies the component as a candidate for being part of a form. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of form components. More...
interface | com::sun::star::container::XNamed
| Each FormComponent must supply a name for identification. More...
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
interface | com::sun::star::io::XPersistObject
| Each FormComponent must be able to be stored into and read from a stream. More...
interface | com::sun::star::beans::XPropertyBag
| allows to associate arbitrary properties with the form component More...
Exported Interfaces inherited from XPropertyBag
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XPropertyContainer
interface | com::sun::star::beans::XPropertyAccess
Exported Interfaces inherited from DataAwareControlModel
interface | com::sun::star::form::XBoundComponent
| makes it possible to transfer the data of the model to the connected data field. More...
interface | com::sun::star::form::XLoadListener
| must be implemented in order to recognize when the containing form of the model connects to its data source (loads its data). More...
interface | com::sun::star::form::XReset
| Each DataAwareControlModel should be resettable for setting default values. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XReset
void | reset ()
| resets a component to some default value. More...
void | addResetListener ([in] com::sun::star::form::XResetListener aListener)
| adds the specified listener to receive events related to resetting the component. More...
void | removeResetListener ([in] com::sun::star::form::XResetListener aListener)
| removes the specified listener More...
Public Member Functions inherited from XLoadListener
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource. More...
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded. More...
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource. More...
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded. More...
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Attributes inherited from NumericField
double | DefaultValue
| contains a default value for the control. More...
Public Attributes inherited from UnoControlNumericFieldModel
com::sun::star::util::Color | BackgroundColor
| specifies the background color(RGB) of the control. More...
short | Border
| specifies the border style of the control. More...
long | BorderColor
| specifies the color of the border, if present More...
short | DecimalAccuracy
| specifies the decimal accuracy. More...
boolean | Enabled
| determines whether the control is enabled or disabled. More...
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control. More...
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control. More...
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control. More...
string | HelpText
| specifies the help text of the control. More...
string | HelpURL
| specifies the help URL of the control. More...
boolean | HideInactiveSelection
| specifies whether the selection in the control should be hidden when the control is not active (focused). More...
boolean | Printable
| specifies that the control will be printed with the document. More...
boolean | ReadOnly
| specifies that the content of the control cannot be modified by the user. More...
boolean | Repeat
| specifies whether the mouse should show repeating behavior, i.e. More...
long | RepeatDelay
| specifies the mouse repeat delay, in milliseconds. More...
boolean | ShowThousandsSeparator
| specifies whether the thousands separator is to be displayed. More...
boolean | Spin
| specifies that the control has a spin button. More...
boolean | StrictFormat
| specifies that the value is checked during the user input. More...
boolean | Tabstop
| specifies that the control can be reached with the TAB key. More...
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) of the control. More...
com::sun::star::util::Color | TextLineColor
| specifies the text line color (RGB) of the control. More...
double | Value
| specifies the value displayed in the control. More...
double | ValueMax
| specifies the maximum value that can be entered. More...
double | ValueMin
| specifies the minimum value that can be entered. More...
double | ValueStep
| specifies the value step when using the spin button. More...
short | WritingMode
| denotes the writing mode used in the control, as specified in the com::sun::star::text::WritingMode2 constants group. More...
short | MouseWheelBehavior
| defines how the mouse wheel can be used to scroll through the control's content. More...
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control. More...
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model. More...
Public Attributes inherited from FormControlModel
short | ClassId
| specifies the ID for classification of the component. More...
short | TabIndex
| determines the relative taborder of the control associated with the model. More...
string | Tag
| used for additional information. More...
Public Attributes inherited from FormComponent
string | Name
| the name of the component. More...
Public Attributes inherited from DataAwareControlModel
string | DataField
| specifies the name of the bound database field. More...
boolean | InputRequired
| determines whether or not input into this field is required, when it is actually bound to a database field. More...
com::sun::star::beans::XPropertySet | BoundField
| references to the cursor field to which the control is bound. More...
com::sun::star::beans::XPropertySet | LabelControl
| references to a control model within the same document which should be used as a label. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names. More...
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names. More...
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list. More...
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener. More...
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties. More...
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name. More...
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value. More...
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XBoundComponent
boolean | commit ()
| commits the content of the component into the data source it is bound to. More...
Protected Member Functions inherited from XUpdateBroadcaster
void | addUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| adds the specified listener to receive the events "approveUpdate" and "updated". More...
void | removeUpdateListener ([in] com::sun::star::form::XUpdateListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XLoadListener
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource. More...
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded. More...
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource. More...
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded. More...
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded. More...
Protected Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control. More...
string | Name
| specifies the name of the control. More...
string | PositionX
| specifies the horizontal position of the control. More...
string | PositionY
| specifies the vertical position of the control. More...
long | Step
| specifies the step of the control. More...
short | TabIndex
| specifies the tabindex of the control. More...
string | Tag
| specifies the tag of the control. More...
long | Width
| specifies the width of the control. More...

## Detailed Description

This service specifies a numeric field which is data-aware, and can be bound to a database field.

## Exported Interfaces

## ◆ com::sun::star::form::component::NumericField

service com::sun::star::form::component::NumericField

## ◆ com::sun::star::form::DataAwareControlModel

service com::sun::star::form::DataAwareControlModel

The documentation for this service was generated from the following file:

- com/sun/star/form/component/DatabaseNumericField.idl